Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDTRANSACTIONMYCARENETvalues

java.lang.Object
java.lang.Enum<CDTRANSACTIONMYCARENETvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDTRANSACTIONMYCARENETvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTRANSACTIONMYCARENETvalues>`, `java.lang.constant.Constable`

public enum CDTRANSACTIONMYCARENETvalues extends Enum<CDTRANSACTIONMYCARENETvalues>

Java class for CD-TRANSACTION-MYCARENETvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTION-MYCARENETvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="gmd"/>
         <enumeration value="gmdclosure"/>
         <enumeration value="gmdextension"/>
         <enumeration value="tariff"/>
         <enumeration value="tariffmediprima"/>
         <enumeration value="cga"/>
         <enumeration value="cgd"/>
         <enumeration value="mea"/>
         <enumeration value="cgacancellation"/>
         <enumeration value="maa"/>
         <enumeration value="maaextension"/>
         <enumeration value="maaappendix"/>
         <enumeration value="maacancellation"/>
         <enumeration value="maaclosure"/>
         <enumeration value="maaagreement"/>
         <enumeration value="maarefusal"/>
         <enumeration value="maaintreatment"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CGA`
  `CGACANCELLATION`
  `CGD`
  `GMD`
  `GMDCLOSURE`
  `GMDEXTENSION`
  `MAA`
  `MAAAGREEMENT`
  `MAAAPPENDIX`
  `MAACANCELLATION`
  `MAACLOSURE`
  `MAAEXTENSION`
  `MAAINTREATMENT`
  `MAAREFUSAL`
  `MEA`
  `TARIFF`
  `TARIFFMEDIPRIMA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTRANSACTIONMYCARENETvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTRANSACTIONMYCARENETvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTRANSACTIONMYCARENETvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GMD

    public static final CDTRANSACTIONMYCARENETvalues GMD

  - ### GMDCLOSURE

    public static final CDTRANSACTIONMYCARENETvalues GMDCLOSURE

  - ### GMDEXTENSION

    public static final CDTRANSACTIONMYCARENETvalues GMDEXTENSION

  - ### TARIFF

    public static final CDTRANSACTIONMYCARENETvalues TARIFF

  - ### TARIFFMEDIPRIMA

    public static final CDTRANSACTIONMYCARENETvalues TARIFFMEDIPRIMA

  - ### CGA

    public static final CDTRANSACTIONMYCARENETvalues CGA

  - ### CGD

    public static final CDTRANSACTIONMYCARENETvalues CGD

  - ### MEA

    public static final CDTRANSACTIONMYCARENETvalues MEA

  - ### CGACANCELLATION

    public static final CDTRANSACTIONMYCARENETvalues CGACANCELLATION

  - ### MAA

    public static final CDTRANSACTIONMYCARENETvalues MAA

  - ### MAAEXTENSION

    public static final CDTRANSACTIONMYCARENETvalues MAAEXTENSION

  - ### MAAAPPENDIX

    public static final CDTRANSACTIONMYCARENETvalues MAAAPPENDIX

  - ### MAACANCELLATION

    public static final CDTRANSACTIONMYCARENETvalues MAACANCELLATION

  - ### MAACLOSURE

    public static final CDTRANSACTIONMYCARENETvalues MAACLOSURE

  - ### MAAAGREEMENT

    public static final CDTRANSACTIONMYCARENETvalues MAAAGREEMENT

  - ### MAAREFUSAL

    public static final CDTRANSACTIONMYCARENETvalues MAAREFUSAL

  - ### MAAINTREATMENT

    public static final CDTRANSACTIONMYCARENETvalues MAAINTREATMENT

- ## Method Details

  - ### values

    public static CDTRANSACTIONMYCARENETvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTRANSACTIONMYCARENETvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTRANSACTIONMYCARENETvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.